Skip to main content
POST
/
v1
/
personas
/
from-preset
/
{preset_id}
Create From Preset
curl --request POST \
  --url https://api.example.com/v1/personas/from-preset/{preset_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name_override": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "role": "<string>",
  "created_at": 123,
  "updated_at": 123,
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "role_description": "<string>",
  "knowledge_level": "intermediate",
  "skill_level": "competent",
  "intent": "benign",
  "language": "en",
  "access_permissions": {
    "privilege_level": "user",
    "allowed_agents": [
      "<string>"
    ],
    "allowed_tools": [
      "<string>"
    ],
    "restricted_actions": [
      "<string>"
    ],
    "data_access_scope": "own"
  },
  "is_preset": false,
  "preset_category": "<string>",
  "tags": [
    "<string>"
  ],
  "icon_filename": "<string>"
}

Path Parameters

preset_id
string<uuid>
required

Body

application/json

Request model for creating from preset.

name_override
string | null

Response

Successful Response

Domain model for Persona archetype.

id
string<uuid>
required
team_id
string<uuid>
required
name
string
required
role
string
required
created_at
integer
required
updated_at
integer
required
created_by
string<uuid>
required
description
string | null
role_description
string | null
knowledge_level
enum<string>
default:intermediate

Knowledge level of the persona.

Available options:
beginner,
intermediate,
advanced,
expert
skill_level
enum<string>
default:competent

Skill level of the persona.

Available options:
novice,
competent,
proficient,
expert
intent
enum<string>
default:benign

Intent type of the persona.

Available options:
benign,
curious,
adversarial,
malicious
language
string
default:en
access_permissions
PersonaAccessPermissions · object

Access permissions for persona - used for test scenario definition.

NOTE: This is NOT for actual RBAC enforcement - it defines expected access for generating test cases to verify agent access control.

is_preset
boolean
default:false
preset_category
string | null
tags
string[] | null
icon_filename
string | null
Last modified on April 21, 2026